# Velikost disku a práce se soubory

Tento dokument obsahuje základní pokyny pro práci s disky a soubory v terminálu na Linuxovém systému.

## Obsah

1. [Zjištění velikosti disku a volného místa](#zjištění-velikosti-disku-a-volného-místa)
2. [Hledání souborů](#hledání-souborů)
3. [Základní operace se soubory](#základní-operace-se-soubory)

## Zjištění velikosti disku a volného místa

### Zobrazení celkové a volné velikosti disku

Pro zobrazení celkové a volné velikosti disku použijte příkaz `df`:

```bash
df -h
```
- h znamená `human-readable`, což znamená, že velikosti budou zobrazeny v snadno čitelném formátu (např. KB, MB, GB).

## Zobrazení velikosti konkrétního adresáře

Pro zjištění velikosti konkrétního adresáře použijte příkaz du:

```bash
du -sh /cesta/k/adresari
```

- s znamená "summarize", což znamená, že zobrazí pouze celkovou velikost.
- h znamená "human-readable".

## Hledání souborů
### Hledání souborů podle názvu

Pro hledání souborů podle názvu použijte příkaz `find`:

```bash
find /cesta/k/adresari -name "nazev_souboru"
```

### Hledání souborů podle typu

Pro hledání souborů určitého typu (např. všechny soubory s příponou .txt) použijte příkaz `find`:

```bash
find /cesta/k/adresari -type f -name "*.txt"
```

## Hledání souborů podle velikosti

Pro hledání souborů větších než určitá velikost použijte příkaz `find`:

```bash
find /cesta/k/adresari -type f -size +100M
```
- +100M znamená soubory větší než 100 MB.

## Základní operace se soubory
### vytvoření nového souboru

Pro vytvoření nového souboru použijte příkaz `touch`:

```bash
touch nazev_souboru
```
### Kopírování souborů

Pro kopírování souborů použijte příkaz `cp`:

```bash
cp zdrojovy_soubor cilovy_soubor
```

### Přesun nebo přejmenování souborů

Pro přesun nebo přejmenování souborů použijte příkaz `mv`:

```bash
mv puvodni_soubor novy_soubor
```
### Smazání souborů

Pro smazání souborů použijte příkaz `rm`:

```bash
rm nazev_souboru
```
    
- Pro smazání adresáře a jeho obsahu použijte rm -r:

```bash
rm -r nazev_adresare
```

### Zobrazení obsahu souboru

Pro zobrazení obsahu souboru použijte příkaz `cat`:

```bash
cat nazev_souboru
```
### Úprava souboru

Pro úpravu souboru použijte textový editor jako nano nebo `vim`:

```bash
nano nazev_souboru
```
nebo

```bash
vim nazev_souboru
```
## Závěr

Tento dokument pokrývá základní operace s disky a soubory v Linuxovém terminálu. 